> For the complete documentation index, see [llms.txt](https://docs.sportradar.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/live-player-tracking-feed.md).

# Live Player Tracking Feed

This section details and describes the values within the Live Player Tracking payload.

Describes all the player movement which happened during a rally including Time, Position, Velocity and more.

## Endpoint URL

## Live Player Tracking Feed

`CONNECT` `wss://dde-generic-datastream.dde-prod.imgarena.dev/ws/tennis/live/tracking/players`

{% tabs %}
{% tab title="404: Not Found Unknown Fixture" %}

```javascript
{
    "message": "Could not find fixture topic soccer.tracking.enrichment.08456e52-9cf7-48cc-913c-f45ec",
    "level": "WARN"
}
```

{% endtab %}

{% tab title="400: Bad Request Failed Authentication Request" %}

```javascript
{
    "message": "Authentication message had incorrect format",
    "level": "ERROR"
}
```

{% endtab %}

{% tab title="200: OK " %}

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.people",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "people": [
        {
            "team": 1,
            "player": 1,
            "tracks": [
                {
                    "time": 0.0,
                    "position": [
                        14.923,
                        -3.938
                    ],
                    "velocity": [
                        0.793,
                        -0.931
                    ]
                },
                {
                    "time": 0.02,
                    "position": [
                        14.935,
                        -3.953
                    ],
                    "velocity": [
                        0.757,
                        -1.126
                    ]
                },
                {
                    "time": 0.04,
                    "position": [
                        14.965,
                        -4.008
                    ],
                    "velocity": [
                        1.397,
                        -1.017
                    ]
                },
                {
                    "time": 0.06,
                    "position": [
                        14.986,
                        -4.008
                    ],
                    "velocity": [
                        0.73,
                        -0.409
                    ]
                },
                {
                    "time": 0.08,
                    "position": [
                        15.0,
                        -4.006
                    ],
                    "velocity": [
                        0.711,
                        0.212
                    ]
                },
                {
                    "time": 0.1,
                    "position": [
                        15.01,
                        -4.006
                    ],
                    "velocity": [
                        -0.028,
                        -0.232
                    ]
                },
                {
                    "time": 0.12,
                    "position": [
                        15.016,
                        -4.007
                    ],
                    "velocity": [
                        0.617,
                        -0.359
                    ]
                },
                {
                    "time": 0.14,
                    "position": [
                        15.029,
                        -4.025
                    ],
                    "velocity": [
                        0.821,
                        -0.227
                    ]
                },
                {
                    "time": 0.16,
                    "position": [
                        15.038,
                        -4.024
                    ],
                    "velocity": [
                        0.226,
                        0.073
                    ]
                },
                {
                    "time": 0.18,
                    "position": [
                        15.049,
                        -4.023
                    ],
                    "velocity": [
                        -0.073,
                        -0.995
                    ]
                },
                {
                    "time": 0.2,
                    "position": [
                        15.055,
                        -4.037
                    ],
                    "velocity": [
                        1.065,
                        0.068
                    ]
                },
                {
                    "time": 0.22,
                    "position": [
                        15.069,
                        -4.054
                    ],
                    "velocity": [
                        0.928,
                        -1.455
                    ]
                },
                {
                    "time": 0.24,
                    "position": [
                        15.082,
                        -4.083
                    ],
                    "velocity": [
                        -0.469,
                        -0.913
                    ]
                }
            ]
        }
    ]
}
```

{% endtab %}
{% endtabs %}

## JSON Response

<details>

<summary>Live Player Tracking Feed</summary>

```json
{
    "created": "2022-08-14T06:10:23.4908526Z",
    "id": "e28fc19b-69ec-4504-b77b-a4e0cca6ef46",
    "type": "live.tracking.people",
    "packetDetails": {
        "set": 1,
        "game": 1,
        "point": 1,
        "serve": 1,
        "rally": 1,
        "sequence": 1,
        "start": "2022-08-14T06:10:13.7513333Z",
        "end": "2022-08-14T06:10:20.4825333Z"
    },
    "matchDetails": {
        "competitionId": "5817",
        "year": 2022,
        "court": "2",
        "matchId": "LS001",
        "singles": true,
        "wheelchair": false,
        "electronicLineCalling": false,
        "televised": false,
        "format": "BestOfThreeTiebreakSets",
        "round": "RoundOf2",
        "players": [
            {
                "team": 1,
                "player": 1,
                "id": "320922",
                "seed": "",
                "firstName": "Ksenia",
                "lastName": "Laskutova"
            },
            {
                "team": 2,
                "player": 1,
                "id": "00BQ9O",
                "seed": "",
                "firstName": "Marketa",
                "lastName": "Petruzelova"
            }
        ]
    },
    "people": [
        {
            "team": 1,
            "player": 1,
            "tracks": [
                {
                    "time": 0.0,
                    "position": [
                        14.923,
                        -3.938
                    ],
                    "velocity": [
                        0.793,
                        -0.931
                    ]
                },
                {
                    "time": 0.02,
                    "position": [
                        14.935,
                        -3.953
                    ],
                    "velocity": [
                        0.757,
                        -1.126
                    ]
                },
                {
                    "time": 0.04,
                    "position": [
                        14.965,
                        -4.008
                    ],
                    "velocity": [
                        1.397,
                        -1.017
                    ]
                },
                {
                    "time": 0.06,
                    "position": [
                        14.986,
                        -4.008
                    ],
                    "velocity": [
                        0.73,
                        -0.409
                    ]
                },
                {
                    "time": 0.08,
                    "position": [
                        15.0,
                        -4.006
                    ],
                    "velocity": [
                        0.711,
                        0.212
                    ]
                },
                {
                    "time": 0.1,
                    "position": [
                        15.01,
                        -4.006
                    ],
                    "velocity": [
                        -0.028,
                        -0.232
                    ]
                },
                {
                    "time": 0.12,
                    "position": [
                        15.016,
                        -4.007
                    ],
                    "velocity": [
                        0.617,
                        -0.359
                    ]
                },
                {
                    "time": 0.14,
                    "position": [
                        15.029,
                        -4.025
                    ],
                    "velocity": [
                        0.821,
                        -0.227
                    ]
                },
                {
                    "time": 0.16,
                    "position": [
                        15.038,
                        -4.024
                    ],
                    "velocity": [
                        0.226,
                        0.073
                    ]
                },
                {
                    "time": 0.18,
                    "position": [
                        15.049,
                        -4.023
                    ],
                    "velocity": [
                        -0.073,
                        -0.995
                    ]
                },
                {
                    "time": 0.2,
                    "position": [
                        15.055,
                        -4.037
                    ],
                    "velocity": [
                        1.065,
                        0.068
                    ]
                },
                {
                    "time": 0.22,
                    "position": [
                        15.069,
                        -4.054
                    ],
                    "velocity": [
                        0.928,
                        -1.455
                    ]
                },
                {
                    "time": 0.24,
                    "position": [
                        15.082,
                        -4.083
                    ],
                    "velocity": [
                        -0.469,
                        -0.913
                    ]
                }
            ]
        }
    ]
}
```

</details>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.sportradar.com/tennis/p-and-b-tracking-websockets/live-player-tracking-feed.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
